#pragma once

#include "XmlDocument.h"
#include <string>

class XmlWriter
{
public:
    XmlWriter() = default;

    std::string ToString(XmlDocument* document);

private:
    std::string ToString(XmlElement* element, unsigned depth=0);
};
